"use strict";

exports.__esModule = true;
exports.ChakraProvider = void 0;

var _chakraUiCssReset = _interopRequireDefault(require("@hackr/chakra-ui-css-reset"));

var _chakraUiPortal = require("@hackr/chakra-ui-portal");

var _chakraUiSystem = require("@hackr/chakra-ui-system");

var _chakraUiTheme = _interopRequireDefault(require("@hackr/chakra-ui-theme"));

var React = _interopRequireWildcard(require("react"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

/**
 * The global provider that must be added to make all Chakra components
 * work correctly
 */
var ChakraProvider = function ChakraProvider(props) {
  var children = props.children,
      colorModeManager = props.colorModeManager,
      portalZIndex = props.portalZIndex,
      _props$resetCSS = props.resetCSS,
      resetCSS = _props$resetCSS === void 0 ? true : _props$resetCSS,
      _props$theme = props.theme,
      theme = _props$theme === void 0 ? _chakraUiTheme["default"] : _props$theme;
  return /*#__PURE__*/React.createElement(_chakraUiSystem.ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React.createElement(_chakraUiSystem.ColorModeProvider, {
    colorModeManager: colorModeManager,
    options: theme.config
  }, resetCSS && /*#__PURE__*/React.createElement(_chakraUiCssReset["default"], null), /*#__PURE__*/React.createElement(_chakraUiSystem.GlobalStyle, null), portalZIndex ? /*#__PURE__*/React.createElement(_chakraUiPortal.PortalManager, {
    zIndex: portalZIndex
  }, children) : children));
};

exports.ChakraProvider = ChakraProvider;
//# sourceMappingURL=chakra-provider.js.map