"use strict";

exports.__esModule = true;
exports.extendTheme = extendTheme;

var _chakraUiTheme = _interopRequireDefault(require("@hackr/chakra-ui-theme"));

var _chakraUiUtils = require("@hackr/chakra-ui-utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

/**
 * Function to override or customize the Chakra UI theme conveniently
 * @param overrides - Your custom theme object overrides
 */
function extendTheme(overrides) {
  function customizer(source, override) {
    if ((0, _chakraUiUtils.isFunction)(source)) {
      return function () {
        var sourceValue = source.apply(void 0, arguments);
        var overrideValue = (0, _chakraUiUtils.isFunction)(override) ? override.apply(void 0, arguments) : override;
        return (0, _chakraUiUtils.mergeWith)({}, sourceValue, overrideValue, customizer);
      };
    } // fallback to default behaviour


    return undefined;
  }

  return (0, _chakraUiUtils.mergeWith)({}, _chakraUiTheme["default"], overrides, customizer);
}
//# sourceMappingURL=extend-theme.js.map