import defaultTheme from "@hackr/chakra-ui-theme";
import { isFunction, mergeWith } from "@hackr/chakra-ui-utils";
/**
 * Function to override or customize the Chakra UI theme conveniently
 * @param overrides - Your custom theme object overrides
 */

export function extendTheme(overrides) {
  function customizer(source, override) {
    if (isFunction(source)) {
      return function () {
        var sourceValue = source(...arguments);
        var overrideValue = isFunction(override) ? override(...arguments) : override;
        return mergeWith({}, sourceValue, overrideValue, customizer);
      };
    } // fallback to default behaviour


    return undefined;
  }

  return mergeWith({}, defaultTheme, overrides, customizer);
}
//# sourceMappingURL=extend-theme.js.map