import { PortalManagerProps } from "@hackr/chakra-ui-portal";
import { ThemeProviderProps, ColorModeProviderProps } from "@hackr/chakra-ui-system";
import * as React from "react";
export interface ChakraProviderProps {
    /**
     * a theme. if omitted, uses the default theme provided by chakra
     */
    theme?: ThemeProviderProps["theme"];
    /**
     * Common z-index to use for `Portal`
     *
     * @default undefined
     */
    portalZIndex?: PortalManagerProps["zIndex"];
    /**
     * If `true`, `CSSReset` component will be mounted to help
     * you reset browser styles
     *
     * @default true
     */
    resetCSS?: boolean;
    /**
     * manager to persist a users color mode preference in
     *
     * omit if you don't render server-side
     * for SSR: choose `cookieStorageManager`
     *
     * @default localStorageManager
     */
    colorModeManager?: ColorModeProviderProps["colorModeManager"];
    children?: React.ReactNode;
}
/**
 * The global provider that must be added to make all Chakra components
 * work correctly
 */
export declare const ChakraProvider: (props: ChakraProviderProps) => JSX.Element;
